#!/bin/ash

# Change that shell to /bin/sh or /bin/bash , if needed.

# bk2site.sh

# Convert my Galeon-bookmarks (in XBEL-format) to format of Netscape with
# xbel_parse and then create Yahoo!-like portal with bk2site

# Created by:
# Juhapekka Tolvanen
# http://iki.fi/juhtolv/
# juhtolv (at) iki (dot) fi

# Don't just run this script. Modify to it to suit your needs, first.

###########################################################################
# Copyright (C) 2003 Juhapekka "naula" Tolvanen http://iki.fi/juhtolv/

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
###########################################################################

# System requirements:

# bk2site
# xbel-utils
# sqlite3

if .  ~/.bk2site.dir/rc
then
    :
else
    echo "could not load ~/.bk2site.dir/rc"
    exit 1
fi

oh_shit()
{
    echo "Quit Netscape, Mozilla, Mozilla Firebird, Mozilla Firefox, Konqueror and/or Galeon and try again"
    echo "Exiting..."
    exit 1
}

e="0"
check_program()
{
    if ps -C "$1" -o user= 2> /dev/null | grep $USER > /dev/null 2>&1
    then
        echo "A program called $1 may be still running. Quit it and try again"
        e=$(( $e +1 ))
    fi
}

for binary in netscape netscape-remote navigator communicator navigator-smotif.real navigator-dmotif.real navigator-smotif navigator-dmotif communicator-smotif.real communicator-dmotif.real communicator-smotif communicator-dmotif netscape-navigator netscape-communicator galeon galeon-bin konqueror keditbookmarks MozillaFirebird-bin firefox-bin mozilla-bin
do
    check_program $binary
done

if test "$e" -gt 0
then
    oh_shit
fi


if type sqlite3  > /dev/null 2>&1
then
    cd $FIREFOX_PROFILE || exit 1
    echo "Vacuuming .sqlite -files of your Firefox ..."
    for i in *.sqlite
    do
        echo $i
        sqlite3 $i vacuum
    done
fi

cd ~/www/links/bk2site/html || exit 1
rm -rf ./*

echo "Making backup of your older Netscape bookmarks ..."
cd ~/.bk2site.dir/netscape.backup.dir
rm -f 10/*
mv 09/* 10/
mv 08/* 09/
mv 07/* 08/
mv 06/* 07/
mv 05/* 06/
mv 04/* 05/
mv 03/* 04/
mv 02/* 03/
mv 01/* 02/
cp ~/.netscape/bookmarks.html 01/
cd

echo "Making backup of your older Galeon bookmarks ..."
cd ~/.bk2site.dir/galeon.backup.dir
rm -f 10/*
mv 09/* 10/
mv 08/* 09/
mv 07/* 08/
mv 06/* 07/
mv 05/* 06/
mv 04/* 05/
mv 03/* 04/
mv 02/* 03/
mv 01/* 02/
cp ~/.galeon/bookmarks.xbel 01/
cd


echo "Making backup of your older Konqueror bookmarks ..."
cd ~/.bk2site.dir/konqueror.backup.dir
rm -f 10/*
mv 09/* 10/
mv 08/* 09/
mv 07/* 08/
mv 06/* 07/
mv 05/* 06/
mv 04/* 05/
mv 03/* 04/
mv 02/* 03/
mv 01/* 02/
cp ~/.kde/share/apps/konqueror/bookmarks.xml 01/
cd


echo "Making backup of your older Mozilla bookmarks ..."
cd ~/.bk2site.dir/mozilla.backup.dir
rm -f 10/*
mv 09/* 10/
mv 08/* 09/
mv 07/* 08/
mv 06/* 07/
mv 05/* 06/
mv 04/* 05/
mv 03/* 04/
mv 02/* 03/
mv 01/* 02/
cp ${MOZILLA_PROFILE}bookmarks.html 01/
cd


echo "Making backup of your older Mozilla Firefox bookmarks ..."
cd ~/.bk2site.dir/mozilla_firefox.backup.dir
rm -f 10/*
mv 09/* 10/
mv 08/* 09/
mv 07/* 08/
mv 06/* 07/
mv 05/* 06/
mv 04/* 05/
mv 03/* 04/
mv 02/* 03/
mv 01/* 02/
cp ${FIREFOX_PROFILE}/bookmarks.html 01/
cd



